Bug 2184028 - F36FailsToInstall: python3-opentelemetry-exporter-otlp-proto-grpc, python3-opentelemetry-exporter-otlp-proto-http
Summary: F36FailsToInstall: python3-opentelemetry-exporter-otlp-proto-grpc, python3-op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-opentelemetry
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-04-03 13:22 UTC by Fedora Fails To Install
Modified: 2023-04-13 01:53 UTC (History)
5 users (show)

Fixed In Version: python-opentelemetry-1.12.0-5.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-13 00:46:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-04-03 13:22:03 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-opentelemetry) Fails To Install in Fedora 36:

can't install python3-opentelemetry-exporter-otlp-proto-grpc:
  - nothing provides (python3.10dist(backoff) >= 1.10 with python3.10dist(backoff) < 1.11) needed by python3-opentelemetry-exporter-otlp-proto-grpc-1.10.0-5.fc36.noarch
  
can't install python3-opentelemetry-exporter-otlp-proto-http:
  - nothing provides (python3.10dist(backoff) >= 1.10 with python3.10dist(backoff) < 1.11) needed by python3-opentelemetry-exporter-otlp-proto-http-1.10.0-5.fc36.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --config-opts mirrored=False install python3-opentelemetry-exporter-otlp-proto-grpc python3-opentelemetry-exporter-otlp-proto-http


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Beasley 2023-04-03 13:40:04 UTC
This was caused by updating python-backoff from 1.1.0 to 2.2.0, an incompatible new major version, in all stable releases, which was not consistent with the Updates Policy. Unfortunately, the update is already in the stable repositories, and there are reasons that F36 does not have python-opentelemetry 1.12 or later, so this will not be trivial to fix. I will investigate whether changes for backoff 2 can be backported; otherwise, this may remain broken until F36 EOL.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/

Comment 2 Ben Beasley 2023-04-03 14:39:50 UTC
This is actually going to affect Fedora 37 and EPEL9, too. It won’t cause FTI, but python-opentelemetry < 1.14 doesn’t really work properly with backoff v2; https://github.com/open-telemetry/opentelemetry-python/pull/2980 is needed.

Comment 3 Fedora Update System 2023-04-04 16:56:39 UTC
FEDORA-2023-5f950d8a0f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5f950d8a0f

Comment 4 Fedora Update System 2023-04-05 02:39:49 UTC
FEDORA-2023-5f950d8a0f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5f950d8a0f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5f950d8a0f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Ben Beasley 2023-04-10 18:31:37 UTC
For Fedora 36, I’m not planning to fix this. The following factors contributed to this decision:

- Fedora 36 is approximately one month from its end of life date
- Fixing the problem would require more backporting effort than what I already did for F37 and EPEL9
- I am honestly less willing to put a lot of time into this because I didn’t break it myself
- Only two (leaf) subpackages are FTI, and the number of users affected is likely tiny

Comment 6 Fedora Update System 2023-04-10 18:33:47 UTC
FEDORA-EPEL-2023-77dea30e74 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-77dea30e74

Comment 7 Miro Hrončok 2023-04-11 09:33:38 UTC
> For Fedora 36, I’m not planning to fix this.

Unfortunately, the tooling is not ready for this. Changing to MODIFIED until F36 goes EOL. Sorry about that.

Comment 8 Fedora Update System 2023-04-13 00:46:33 UTC
FEDORA-EPEL-2023-77dea30e74 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-04-13 01:53:27 UTC
FEDORA-2023-5f950d8a0f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.